Virtual Machines
All operations require authentication.
List virtual machinesProduction
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a virtual machineProduction
Get a virtual machine. Returns the virtual machine: power state, host, cluster, CPU, memory, disk and network usage, backup and license.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Backup associated to this Virtual Machine
Virtual machine cdroms devices
Cluster of the virtual machine.
Maximum CPU performance, in MHz.
Number of processors in the virtual machine.
Time that the virtual machine was ready, but could not get scheduled to run on the physical CPU. In millisecond
Percentage of time that the virtual machine was ready, but could not get scheduled to run on the physical CPU. In percent
Current CPU performance, in MHz.
List of filers in use by the virtual machine.
Folder of the virtual machine.
VMware guest configured OS family
Name of the host hosting the virtual machine.
Registered managed license
OVHcloud managedunknown or unsupported licenseunlicensed windows guestoswindows 2008 R2 Datacenterwindows 2008 R2 Enterprisewindows 2008 R2 Standardwindows 2008 R2 Webwindows 2012 Datacenterwindows 2012 R2 Datacenterwindows 2012 R2 Standardwindows 2012 R2 Standard SQL2016 Standardwindows 2012 R2 Standard SQL2016 Webwindows 2012 Standardwindows 2016 Datacenterwindows 2016 Standardwindows 2016 Standard SQL2016 Standardwindows 2016 Standard SQL2016 Webwindows 2019 Datacenterwindows 2019 Datacenter Corewindows 2019 Standardwindows 2019 Standard Corewindows 2019 Standard SQL2019 Standardwindows 2019 Standard SQL2019 Webwindows 2019 Standard SQL2022 Standardwindows 2019 Standard SQL2022 Webwindows 2022 Datacenterwindows 2022 Datacenter Corewindows 2022 Datacenter SQL2019 Standardwindows 2022 Datacenter SQL2019 Webwindows 2022 Datacenter SQL2022 Standardwindows 2022 Datacenter SQL2022 Webwindows 2022 Standardwindows 2022 Standard Corewindows 2022 Standard SQL2019 Standardwindows 2022 Standard SQL2019 Webwindows 2022 Standard SQL2022 Standardwindows 2022 Standard SQL2022 Webwindows 2025 Datacenterwindows 2025 Datacenter Corewindows 2025 Datacenter SQL2022 Enterprisewindows 2025 Datacenter SQL2022 Standardwindows 2025 Datacenter SQL2022 Webwindows 2025 Standardwindows 2025 Standard Corewindows 2025 Standard SQL2022 Standardwindows 2025 Standard SQL2022 WebMemory size of the virtual machine, in MB
Amount of guest memory that is shared with other virtual machines, in Mb
Current memory utilization, in MB
moRef of the virtual machine.
Name of the virtual machine.
Number of packets received.
Number of packets transmitted.
Rate at which data is received. In KB/s
Rate at which data is transmitted. In KB/s
List of the networks link to this virtual machine
Power state of the virtual machine.
deletedpoweredOffpoweredOnsuspendedAmount of time for a read operation from the virtual disk. In millisecond
Number of read issued per second to the virtual disk. In millisecond
Rate of reading data from the virtual disk. In KB/s
The index of the current VM in instanceUuids array starting from 1, so 1 means that it is the primary VM.
Number of snapshot of the virtual machine.
The fault tolerance state of the virtual machine.
disabledenabledneedSecondarynotConfiguredrunningstartingId of the virtual machine.
Current version status of VMware Tools in the guest operating system.
Current version of VMware Tools
Amount of time for a write operation from the virtual disk. In millisecond
Number of write issued per second to the virtual disk. In millisecond
Rate of writing data from the virtual disk. In KB/s
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId} \
-H "authorization: Bearer $OVH_TOKEN"{ "backup": { "allocatedDisk": 0, "backupDays": [ "Friday" ], "backupRepositoryId": 0, "encryption": true, "lastCreationTime": "2024-01-01T12:00:00Z", "lastDuration": { "unit": "string", "value": 0 }, "lastResult": "failed", "lastSuccessfulCreationTime": "2024-01-01T12:00:00Z", "lastSuccessfulDuration": { "unit": "string", "value": 0 }, "offerType": "advanced", "restorePoints": [ { "creationTime": "2024-01-01T12:00:00Z", "isCorrupted": true, "restorePointId": 0, "size": { "unit": "string", "value": 0 }, "type": "full" } ], "retentionTime": 0, "state": "deleting" }, "cdroms": [ { "connected": true, "iso": "string" } ], "clusterName": "string", "cpuMax": 0, "cpuNum": 0, "cpuReady": 0, "cpuReadyPercent": 0, "cpuUsed": 0, "filers": [ { "committed": 0, "disks": [ { "capacity": 0, "id": "string" } ], "name": "string" } ], "folderName": "string", "guestOsFamily": "string", "hostName": "string", "license": "OVHcloud managed", "memoryMax": 0, "memoryTps": "string", "memoryUsed": 0, "moRef": "string", "name": "string", "netPacketRx": 0, "netPacketTx": 0, "netRx": 0, "netTx": 0, "networks": [ { "allowGuestControl": true, "backing": { "carpState": "string", "deviceName": "string", "portGroupKey": "string", "portGroupName": "string", "portKey": "string", "portKeySecurityPolicy": { "allowPromiscuous": { "inherited": true, "value": true }, "forgedTransmits": { "inherited": true, "value": true }, "macChanges": { "inherited": true, "value": true } }, "switchUuid": "string", "type": "DVS", "useAutoDetect": true, "valueMoref": "string" }, "connected": true, "controler": "string", "label": "string", "macAddress": "string", "startConnected": true, "status": "ok" } ], "powerState": "deleted", "readLatency": 0, "readPerSecond": 0, "readRate": 0, "roleFt": "string", "snapshotNum": 0, "stateFt": "disabled", "vmId": 0, "vmwareTools": "string", "vmwareToolsVersion": "string", "writeLatency": 0, "writePerSecond": 0, "writeRate": 0}
List licensed VMsProduction
List licensed VMs. Returns the virtual machines with a managed license, with their guest OS and license. Filter by license with kmsLicense.
Path parameters
Id of the Datacenter
Domain of the service
Query parameters
Only display virtual machines with this license
OVHcloud managedunknown or unsupported licenseunlicensed windows guestoswindows 2008 R2 Datacenterwindows 2008 R2 Enterprisewindows 2008 R2 Standardwindows 2008 R2 Webwindows 2012 Datacenterwindows 2012 R2 Datacenterwindows 2012 R2 Standardwindows 2012 R2 Standard SQL2016 Standardwindows 2012 R2 Standard SQL2016 Webwindows 2012 Standardwindows 2016 Datacenterwindows 2016 Standardwindows 2016 Standard SQL2016 Standardwindows 2016 Standard SQL2016 Webwindows 2019 Datacenterwindows 2019 Datacenter Corewindows 2019 Standardwindows 2019 Standard Corewindows 2019 Standard SQL2019 Standardwindows 2019 Standard SQL2019 Webwindows 2019 Standard SQL2022 Standardwindows 2019 Standard SQL2022 Webwindows 2022 Datacenterwindows 2022 Datacenter Corewindows 2022 Datacenter SQL2019 Standardwindows 2022 Datacenter SQL2019 Webwindows 2022 Datacenter SQL2022 Standardwindows 2022 Datacenter SQL2022 Webwindows 2022 Standardwindows 2022 Standard Corewindows 2022 Standard SQL2019 Standardwindows 2022 Standard SQL2019 Webwindows 2022 Standard SQL2022 Standardwindows 2022 Standard SQL2022 Webwindows 2025 Datacenterwindows 2025 Datacenter Corewindows 2025 Datacenter SQL2022 Enterprisewindows 2025 Datacenter SQL2022 Standardwindows 2025 Datacenter SQL2022 Webwindows 2025 Standardwindows 2025 Standard Corewindows 2025 Standard SQL2022 Standardwindows 2025 Standard SQL2022 WebResponse
Guest Operating System reported by VMware tools
Attached SPLA licensing
OVHcloud managedunknown or unsupported licenseunlicensed windows guestoswindows 2008 R2 Datacenterwindows 2008 R2 Enterprisewindows 2008 R2 Standardwindows 2008 R2 Webwindows 2012 Datacenterwindows 2012 R2 Datacenterwindows 2012 R2 Standardwindows 2012 R2 Standard SQL2016 Standardwindows 2012 R2 Standard SQL2016 Webwindows 2012 Standardwindows 2016 Datacenterwindows 2016 Standardwindows 2016 Standard SQL2016 Standardwindows 2016 Standard SQL2016 Webwindows 2019 Datacenterwindows 2019 Datacenter Corewindows 2019 Standardwindows 2019 Standard Corewindows 2019 Standard SQL2019 Standardwindows 2019 Standard SQL2019 Webwindows 2019 Standard SQL2022 Standardwindows 2019 Standard SQL2022 Webwindows 2022 Datacenterwindows 2022 Datacenter Corewindows 2022 Datacenter SQL2019 Standardwindows 2022 Datacenter SQL2019 Webwindows 2022 Datacenter SQL2022 Standardwindows 2022 Datacenter SQL2022 Webwindows 2022 Standardwindows 2022 Standard Corewindows 2022 Standard SQL2019 Standardwindows 2022 Standard SQL2019 Webwindows 2022 Standard SQL2022 Standardwindows 2022 Standard SQL2022 Webwindows 2025 Datacenterwindows 2025 Datacenter Corewindows 2025 Datacenter SQL2022 Enterprisewindows 2025 Datacenter SQL2022 Standardwindows 2025 Datacenter SQL2022 Webwindows 2025 Standardwindows 2025 Standard Corewindows 2025 Standard SQL2022 Standardwindows 2025 Standard SQL2022 WebVMware Managed object Reference identifier
Virtual machine name
Virtual machine identifier
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vmLicensed \
-H "authorization: Bearer $OVH_TOKEN"[ { "guestOsFamily": "string", "license": "OVHcloud managed", "moRef": "string", "name": "string", "vmId": 0 }]
Disable CARP on a VMProduction
Disable CARP on a VM. Disables CARP on the network port of the virtual machine with the given MAC address, on the VM Network portgroup. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
Mac address of the port to enable Carp
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ disableCarp \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable CARP on a VMProduction
Enable CARP on a VM. Enables CARP on the network port of the virtual machine with the given MAC address, on the VM Network portgroup. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
Mac address of the port to enable Carp
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ enableCarp \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Remove a managed licenseProduction
Remove a managed license. Removes the managed license from the virtual machine. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ removeLicense \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Set a managed licenseProduction
Set a managed license. Attaches an OVHcloud managed Windows license to the virtual machine. Skip the guest OS family check with bypassGuestOsFamilyCheck. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
Bypass compatibility check between managed license and current VMware guest configured OS family
License to use
windows 2016 Datacenterwindows 2016 Standardwindows 2016 Standard SQL2016 Standardwindows 2016 Standard SQL2016 Webwindows 2019 Datacenterwindows 2019 Datacenter Corewindows 2019 Standardwindows 2019 Standard Corewindows 2019 Standard SQL2019 Standardwindows 2019 Standard SQL2019 Webwindows 2019 Standard SQL2022 Standardwindows 2019 Standard SQL2022 Webwindows 2022 Datacenterwindows 2022 Datacenter Corewindows 2022 Datacenter SQL2019 Standardwindows 2022 Datacenter SQL2019 Webwindows 2022 Datacenter SQL2022 Standardwindows 2022 Datacenter SQL2022 Webwindows 2022 Standardwindows 2022 Standard Corewindows 2022 Standard SQL2019 Standardwindows 2022 Standard SQL2019 Webwindows 2022 Standard SQL2022 Standardwindows 2022 Standard SQL2022 Webwindows 2025 Datacenterwindows 2025 Datacenter Corewindows 2025 Datacenter SQL2022 Enterprisewindows 2025 Datacenter SQL2022 Standardwindows 2025 Datacenter SQL2022 Webwindows 2025 Standardwindows 2025 Standard Corewindows 2025 Standard SQL2022 Standardwindows 2025 Standard SQL2022 WebResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ setLicense \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}